summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Menno Duursma <druiloor@zonnet.nl>2010-05-12 23:29:52 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:29:52 +0200
commit534a98b2aad643d3ae2e301b48d0150427b9a1af (patch)
tree081bf2b0302f038325c5b429d88ea146eb8fa4a6 /libraries
parent0a184afde9741edc40e81d2fd459746f618ed17f (diff)
downloadslackbuilds-534a98b2aad643d3ae2e301b48d0150427b9a1af.tar.gz
slackbuilds-534a98b2aad643d3ae2e301b48d0150427b9a1af.tar.xz
libraries/agg: Added to 12.2 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/agg/README11
-rw-r--r--libraries/agg/agg.SlackBuild73
-rw-r--r--libraries/agg/agg.info8
-rw-r--r--libraries/agg/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/libraries/agg/README b/libraries/agg/README
new file mode 100644
index 0000000000..0938e7ed03
--- /dev/null
+++ b/libraries/agg/README
@@ -0,0 +1,11 @@
+Anti-Grain Geometry (AGG) is an Open Source, free of charge graphic
+library, written in industrially standard C++. The terms and conditions
+of use AGG are described on The License page. AGG doesn't depend on any
+graphic API or technology. Basically, you can think of AGG as of a
+rendering engine that produces pixel images in memory from some vectorial
+data. But of course, AGG can do much more than that. The ideas and the
+philosophy of AGG are:
+* Anti-Aliasing * Subpixel Accuracy * The highest possible quality
+* High performance * Platform independence and compatibility
+* Flexibility and extensibility * Lightweight design
+* Reliability and stability (including numerical stability)
diff --git a/libraries/agg/agg.SlackBuild b/libraries/agg/agg.SlackBuild
new file mode 100644
index 0000000000..9dcfca019e
--- /dev/null
+++ b/libraries/agg/agg.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for Anti-Grain Geometry
+
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPLv2, as published by Sam Hocevar dec'04.
+# For details see http://sam.zoy.org/wtfpl/COPYING
+
+PRGNAM=agg
+VERSION=${VERSION:-2.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ -type d -exec chmod 0755 {} \; -o \
+ -type f -exec chmod u+rw,go+r-w,a-s {} \;
+
+sh ./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -type f | xargs file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# Note: there is around 2.5 MB worth of stuff in the examples subdir
+# If you need it, it's in the source :)
+cp -a \
+ install ChangeLog authors readme news copying \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/agg/agg.info b/libraries/agg/agg.info
new file mode 100644
index 0000000000..8a568b5cdb
--- /dev/null
+++ b/libraries/agg/agg.info
@@ -0,0 +1,8 @@
+PRGNAM="agg"
+VERSION="2.5"
+HOMEPAGE="http://www.antigrain.com/"
+DOWNLOAD="http://www.antigrain.com/agg-2.5.tar.gz"
+MD5SUM="0229a488bc47be10a2fee6cf0b2febd6"
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="rworkman"
diff --git a/libraries/agg/slack-desc b/libraries/agg/slack-desc
new file mode 100644
index 0000000000..24cd6cce65
--- /dev/null
+++ b/libraries/agg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+agg: Anti-Grain Geometry (AGG)
+agg:
+agg: A High Quality Rendering Engine for C++.
+agg:
+agg: AGG was written by Maxim Shemanarev
+agg:
+agg:
+agg:
+agg:
+agg:
+agg: